#include 	<avr/io.h>
#include 	<stdio.h>

#include	"key.h"
#include 	"lcd.h"

#include 	"printf.h"
#include 	"serial.h"

#include 	"mydefs.h"

extern uint32_t	long_key;

//-------------------------------------------------------------------------//
void delay_beep(unsigned int nDelay)
{
	unsigned int i;
	for (i = 0; i < nDelay; i++)
		_delay_ms (15); // old 20
}
//-------------------------------------------------------------------------//
void beep (void)
{
	Buzzer_on ();
	delay_beep(5);
	Buzzer_off ();	
}
//-------------------------------------------------------------------------//
//-------------------------------------------------------------------------//
//-------------------------------------------------------------------------//
//-------------------------------------------------------------------------//
uint8_t get_key (void)
{
	uint8_t  key = 0;
	if (!(KEY_IN &KEY_UP) && long_key == 0)
	{
		key = UP;
		long_key = TIME;
	}
	else
	{
		if (!(KEY_IN & KEY_DOWN) && long_key == 0)
		{
			key = DOWN;
			long_key = TIME;
		}
		else
			if (!(KEY_IN & KEY_ENT) && long_key == 0)
			{
				key = ENT;
				long_key = TIME;
			}	
	}
	return key;
}
//-------------------------------------------------------------------------//
void init_key (void)
{
	DDR_KEY  |=  ~(_BV(4) | _BV(5) | _BV(6));	//set input PD3,4,5,6,7 input
}
//-------------------------------------------------------------------------//
