#define LCD_DDR				DDRC
#define	LCD_PORT			PORTC
#define LCD_PIN				PINC

#define LCD_CTRL_DDR		DDRD
#define LCD_CTRL 			PORTD

//Interface 8080
#define	LCD_RD				4		//RD
#define	LCD_E				5   	//E
#define	LCD_RS				6		//D/C
#define	LCD_WR				7		//WR

#define CTRL_DDR			DDRB
#define CTRL_PORT			PORTB
#define	LCD_RES				0
#define	LCD_DISP			1

#define		SET_SEGMENT		0xA0  //A1 invert
#define		SET_COMOUT		0xC8  //C0
#define		SET_PAGE		0xB0
#define 	START_C			0x02

#include "font6x8.h"
#include "font8x16.h"

#define SMALL_FONT			0		//Font 6*8
#define	BIG_FONT			1		//Font 8*16

#define	NORMAL				0
#define	INV					1

struct display {
	uint8_t x;
	uint8_t y;
	uint8_t inv;	//Invert and Normal
};

struct font {
	uint8_t width;
	uint8_t height;
	PGM_P size;
};

void lcd_gotoxy (uint8_t x, uint8_t y);
void lcd_write_dat (uint8_t dat);
void init_lcd (void);
void clear_screen (char fill);
void glcd_Printf (uint8_t x, uint8_t y, char *string, uint8_t inv, uint8_t type);
